clang-tools 10.0.0

Namespaces | Functions
clang-tidy/utils/Matchers.h File Reference
`#include "TypeTraits.h"`
`#include "clang/ASTMatchers/ASTMatchers.h"`
Include dependency graph for clang-tidy/utils/Matchers.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::matchers

## Functions
| clang::tidy::matchers::AST_MATCHER (BinaryOperator, isAssignmentOperator)
| clang::tidy::matchers::AST_MATCHER (BinaryOperator, isRelationalOperator)
| clang::tidy::matchers::AST_MATCHER (BinaryOperator, isEqualityOperator)
| clang::tidy::matchers::AST_MATCHER (BinaryOperator, isComparisonOperator)
| clang::tidy::matchers::AST_MATCHER (QualType, isExpensiveToCopy)
| clang::tidy::matchers::AST_MATCHER (RecordDecl, isTriviallyDefaultConstructible)
| clang::tidy::matchers::AST_MATCHER (QualType, isTriviallyDestructible)
| clang::tidy::matchers::AST_MATCHER_FUNCTION (ast_matchers::TypeMatcher, isReferenceToConst)
| clang::tidy::matchers::AST_MATCHER_P (NamedDecl, matchesAnyListedName, std::vector< std::string >, NameList)